export interface SmbConfig {
    address: string;
    username: string;
    password: string | undefined;
    domain: string;
    path?: string;
    others?: string;
}
export declare class SambaClient {
    private configSamba;
    constructor(config: SmbConfig);
    private runCommand;
    private execute;
    private getSmbClientArgs;
    getFile(path: string, destination: string): Promise<string>;
    sendFile(path: string, destination: string): Promise<string>;
    deleteFile(fileName: string): Promise<string>;
    listFiles(fileNamePrefix: string, fileNameSuffix: string): Promise<string>;
    mkdir(remotePath: string): Promise<string>;
    dir(remotePath: string): Promise<string>;
    customCommand(cmd: string): Promise<string>;
}
